Package com.google.android.exoplayer2

## Class MediaItem.LiveConfiguration.Builder

- java.lang.Object
- - com.google.android.exoplayer2.MediaItem.LiveConfiguration.Builder

- Enclosing class:
    MediaItem.LiveConfiguration

      public static final class MediaItem.LiveConfiguration.Builder
      extends Object

  Builder for `MediaItem.LiveConfiguration` instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` | Creates a new instance with default values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaItem.LiveConfiguration` | `build()` | Creates a `MediaItem.LiveConfiguration` with the values from this builder.
    `MediaItem.LiveConfiguration.Builder` | `setMaxOffsetMs​(long maxOffsetMs)` | Sets the maximum allowed live offset, in milliseconds.
    `MediaItem.LiveConfiguration.Builder` | `setMaxPlaybackSpeed​(float maxPlaybackSpeed)` | Sets the maximum playback speed.
    `MediaItem.LiveConfiguration.Builder` | `setMinOffsetMs​(long minOffsetMs)` | Sets the minimum allowed live offset, in milliseconds.
    `MediaItem.LiveConfiguration.Builder` | `setMinPlaybackSpeed​(float minPlaybackSpeed)` | Sets the minimum playback speed.
    `MediaItem.LiveConfiguration.Builder` | `setTargetOffsetMs​(long targetOffsetMs)` | Sets the target live offset, in milliseconds.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

      Creates a new instance with default values.

  - ### Method Detail

    - #### setTargetOffsetMs

          @CanIgnoreReturnValue
          public MediaItem.LiveConfiguration.Builder setTargetOffsetMs​(long targetOffsetMs)

      Sets the target live offset, in milliseconds.

      See `Player#getCurrentLiveOffset()`.

      Defaults to `C.TIME_UNSET`, indicating the media-defined default will be used.

    - #### setMinOffsetMs

          @CanIgnoreReturnValue
          public MediaItem.LiveConfiguration.Builder setMinOffsetMs​(long minOffsetMs)

      Sets the minimum allowed live offset, in milliseconds.

      See `Player#getCurrentLiveOffset()`.

      Defaults to `C.TIME_UNSET`, indicating the media-defined default will be used.

    - #### setMaxOffsetMs

          @CanIgnoreReturnValue
          public MediaItem.LiveConfiguration.Builder setMaxOffsetMs​(long maxOffsetMs)

      Sets the maximum allowed live offset, in milliseconds.

      See `Player#getCurrentLiveOffset()`.

      Defaults to `C.TIME_UNSET`, indicating the media-defined default will be used.

    - #### setMinPlaybackSpeed

          @CanIgnoreReturnValue
          public MediaItem.LiveConfiguration.Builder setMinPlaybackSpeed​(float minPlaybackSpeed)

      Sets the minimum playback speed.

      Defaults to `C.RATE_UNSET`, indicating the media-defined default will be used.

    - #### setMaxPlaybackSpeed

          @CanIgnoreReturnValue
          public MediaItem.LiveConfiguration.Builder setMaxPlaybackSpeed​(float maxPlaybackSpeed)

      Sets the maximum playback speed.

      Defaults to `C.RATE_UNSET`, indicating the media-defined default will be used.

    - #### build

          public MediaItem.LiveConfiguration build()

      Creates a `MediaItem.LiveConfiguration` with the values from this builder.